package fr.monkhanny.dorfromantik.gui;

import javax.swing.*;

// Classe pour représenter une récompense
public class Reward {
    private String name;
    private String description;
    private boolean isUnlocked;
    private ImageIcon icon;

    public Reward(String name, String description, boolean isUnlocked, ImageIcon icon) {
        this.name = name;
        this.description = description;
        this.isUnlocked = isUnlocked;
        this.icon = icon;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }

    public boolean isUnlocked() {
        return isUnlocked;
    }

    public ImageIcon getIcon() {
        return icon;
    }
}